Subject: Re: [ANNOUNCE] iproute2-2.6.23-rc3

From: Patrick McHardy <[email-masked]>
Date: Sat, 01 Sep 2007 09:12:41 +0200

Pavel Emelyanov wrote:
> Patrick McHardy wrote:
>> On Fri, 31 Aug 2007, Pavel Emelyanov wrote:
>>
>>>> Why does this add a new ip subcommand instead and uses genetlink
>>>> instead of the rtnl_link API, which was introduced exactly for
>>>> this stuff?
>>>>
>>> Hm... It does not, it just adds a parser for veth commands that
>>> generic layer isn't aware of.
>>
>> It does, you have "ip veth add", "ip veth del", ...
>>
>> Didn't you already sent a patch that used "ip link add ..."?
> 
> The patch I sent last used "ip link add" and "ip link del".
> The link_veth.c file only parses all the extra arguments.

Thats what I thought. I seems Stephen applied an old version of
the patch that still uses genetlink.